---
title: height
slug: Web/CSS/@media/height
tags:
  - '@media'
  - CSS
  - Media Queries
  - Reference
  - media feature
---
<div>{{cssref}}</div>

<p>The <strong><code>height</code></strong> <a href="/en-US/docs/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Media_Queries/Using_media_queries#Media_features">media feature</a> can be used to apply styles based on the height of the {{glossary("viewport")}} (or the page box, for <a href="/en-US/docs/Web/CSS/Paged_media">paged media</a>).</p>

<h2 id="Syntax">Syntax</h2>

<p>The <code>height</code> feature is specified as a {{cssxref("&lt;length&gt;")}} value representing the viewport height. It is a range feature, meaning that you can also use the prefixed <strong><code>min-height</code></strong> and <code><strong>max-height</strong></code> variants to query minimum and maximum values, respectively.</p>

<h2 id="Examples">Examples</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;div&gt;Watch this element as you resize your viewport's height.&lt;/div&gt;</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">/* Exact height */
@media (height: 360px) {
  div {
    color: red;
  }
}

/* Minimum height */
@media (min-height: 25rem) {
  div {
    background: yellow;
  }
}

/* Maximum height */
@media (max-height: 40rem) {
  div {
    border: 2px solid blue;
  }
}
</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample('Examples','90%')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Media Queries', '#height', 'height')}}</td>
   <td>{{Spec2('CSS4 Media Queries')}}</td>
   <td>The value can now be negative, in which case it computes to false.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Media Queries', '#height', 'height')}}</td>
   <td>{{Spec2('CSS3 Media Queries')}}</td>
   <td>Initial definition. The value must be nonnegative.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.at-rules.media.height")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/Media_Queries/Using_media_queries">Using Media Queries</a></li>
 <li><a href="/en-US/docs/Web/CSS/@media">@media</a></li>
</ul>
